/*
 * =====================================================================================
 *
 *       Filename:  reverse.c
 *    Description:  Demonstracja funkcji odwracenie() 
 *
 * =====================================================================================
 */
#include <stdio.h>
#include <string.h>

char *odwracanie(char *s)
{
   int i,n;
   char tmp;

   n=strlen(s) - 1;

   i=0;
   while(i<n)
   {
     tmp=s[i];
     s[i]=s[n];
     s[n]=tmp;
     i=i+1;
     n=n-1;
   }

   return s;
}

/*  Funkcja sprawdza czy podany znak jest litera alfabetu. */
int czy_litera(char a)
{
	if(a >= 'a' && a <= 'z') return 1;
	if(a >= 'A' && a <= 'Z') return 1;
	return 0;
}

/*  Funkcja zlicza ilosc slow w napisie. */
int wordcount(char t[])
{
	int i=0, c=0;

	while(t[i] != '\0')
	{
		if(czy_litera(t[i]) == 1 && czy_litera(t[i+1]) == 0) c = c + 1;
		i=i+1;
	}

	return c;
}


/*  Funkcja wczytuje napis podany w terminalu. */
char *readline(char t[], int n)
{
	int znak, i=0;
	znak=getchar();
	if(znak==EOF) return NULL;

	while(znak!=EOF  && i<n-2 && znak!='\n' )
	{
		t[i]=znak;
		znak=getchar();
		i=i+1;
	}
	if(i==n-1)
	{
		t[i]=znak;
		i=i+1;
	}
	t[i]='\0';

	return t;
}

#define MAX_LINE 1000

int main()
{
	char t[MAX_LINE];

	while(readline(t,MAX_LINE) != NULL )
		printf("%d %s\n", wordcount(t), odwracanie(t));
	
	return 0;
}
